Get envelope
GET
/envelope/{envelopeId}
const url = 'https://app.legaldoc.com/api/v2/envelope/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.legaldoc.com/api/v2/envelope/example \ --header 'Authorization: <Authorization>'Returns an envelope given an ID
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”envelopeId
required
string
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
internalVersion
required
number
type
required
string
status
required
string
source
required
string
visibility
required
string
templateType
required
string
id
required
string
secondaryId
required
string
externalId
required
string | null
createdAt
required
string
updatedAt
required
string
completedAt
required
string | null
deletedAt
required
string | null
title
required
string
authOptions
required
object
globalAccessAuth
required
Array<string>
globalActionAuth
required
Array<string>
formValues
required
object | null
publicTitle
required
string
publicDescription
required
string
userId
required
number
teamId
required
number
folderId
required
string | null
templateId
required
number | null
documentMeta
required
object
signingOrder
required
string
distributionMethod
required
string
id
required
string
subject
required
string | null
message
required
string | null
timezone
required
string | null
dateFormat
required
string | null
redirectUrl
required
string | null
typedSignatureEnabled
required
boolean
uploadSignatureEnabled
required
boolean
drawSignatureEnabled
required
boolean
allowDictateNextSigner
required
boolean
language
required
string
emailSettings
required
object
recipientSigningRequest
required
boolean
recipientRemoved
required
boolean
recipientSigned
required
boolean
documentPending
required
boolean
documentCompleted
required
boolean
documentDeleted
required
boolean
ownerDocumentCompleted
required
boolean
ownerRecipientExpired
required
boolean
ownerDocumentCreated
required
boolean
emailId
required
string | null
emailReplyTo
required
string | null
recipients
required
Array<object>
object
envelopeId
required
string
role
required
string
readStatus
required
string
signingStatus
required
string
sendStatus
required
string
id
required
number
email
required
string
name
required
string
token
required
string
documentDeletedAt
required
string | null
expired
required
string | null
expiresAt
required
string | null
expirationNotifiedAt
required
string | null
signedAt
required
string | null
authOptions
required
object
accessAuth
required
Array<string>
actionAuth
required
Array<string>
signingOrder
required
number | null
rejectionReason
required
string | null
fields
required
Array<object>
object
envelopeId
required
string
envelopeItemId
required
string
type
required
string
id
required
number
secondaryId
required
string
recipientId
required
number
page
required
number
positionX
required
positionY
required
width
required
height
required
customText
required
string
inserted
required
boolean
fieldMeta
required
One of:
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
text
string
characterLimit
number
textAlign
string
lineHeight
number | null
letterSpacing
number | null
verticalAlign
string | null
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
numberFormat
string | null
value
string
minValue
number | null
maxValue
number | null
textAlign
string
lineHeight
number | null
letterSpacing
number | null
verticalAlign
string | null
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
id
required
number
checked
required
boolean
value
required
string
direction
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
id
required
number
checked
required
boolean
value
required
string
validationRule
string
validationLength
number
direction
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
value
required
string
defaultValue
string
envelopeItems
required
Array<object>
object
envelopeId
required
string
documentDataId
required
string
id
required
string
title
required
string
order
required
number
directLink
required
object
directTemplateRecipientId
required
number
enabled
required
boolean
id
required
string
token
required
string
team
required
object
id
required
number
url
required
string
user
required
object
id
required
number
name
required
string
email
required
string
Example
{ "type": "DOCUMENT", "status": "DRAFT", "source": "DOCUMENT", "visibility": "EVERYONE", "templateType": "PUBLIC", "authOptions": { "globalAccessAuth": [ "ACCOUNT" ], "globalActionAuth": [ "ACCOUNT" ] }, "documentMeta": { "signingOrder": "PARALLEL", "distributionMethod": "EMAIL", "emailSettings": { "recipientSigningRequest": true, "recipientRemoved": true, "recipientSigned": true, "documentPending": true, "documentCompleted": true, "documentDeleted": true, "ownerDocumentCompleted": true, "ownerRecipientExpired": true, "ownerDocumentCreated": true }, "envelopeExpirationPeriod": { "unit": "day" } }, "recipients": [ { "role": "CC", "readStatus": "NOT_OPENED", "signingStatus": "NOT_SIGNED", "sendStatus": "NOT_SENT", "authOptions": { "accessAuth": [ "ACCOUNT" ], "actionAuth": [ "ACCOUNT" ] } } ], "fields": [ { "type": "SIGNATURE", "fieldMeta": { "fontSize": 12, "overflow": "auto", "type": "signature" } } ]}Invalid input data
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Authorization not provided
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Insufficient access
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Not found
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Internal server error
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}